Package org.springframework.util

# Interface PropertyPlaceholderHelper.PlaceholderResolver

Enclosing class:
  PropertyPlaceholderHelper

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface PropertyPlaceholderHelper.PlaceholderResolver
Strategy interface used to resolve replacement values for placeholders contained in Strings.

## Method Summary

Modifier and Type
Method
Description
`String`
`resolvePlaceholder(String placeholderName)`
Resolve the supplied placeholder name to the replacement value.

## Method Details

### resolvePlaceholder

@Nullable String resolvePlaceholder(String placeholderName)
Resolve the supplied placeholder name to the replacement value.

Parameters:
  `placeholderName` - the name of the placeholder to resolve
Returns:
  the replacement value, or `null` if no replacement is to be made